<?PHP
/*
* actions.php Actions wrapper
* copyright (c)2005 Marco Islas <markuz@islascruz.org>
*/
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


class actions
{
	function execute($a){
		if (file_exists(CINTILLA_PATH."actions/".$a.".php")){
			require_once(CINTILLA_PATH."actions/".$a.".php");
			$action = new $a();
			if ($action->type=="admin"){
				if (isset($_COOKIE["admin"]))
					return $this->doit($action);
				else
					return $GLOBALS["functions"]->error("Modulo no habilitado");
			}else
				return $this->doit($action);
		}
		else
			return $GLOBALS["functions"]->error("Modulo no habilitado ");
	}
	
	function doit($action){
		if (isset($_REQUEST["step"]))
			return $action->$_REQUEST["step"]();
		else
			return $action->default_action();
	}
}
 
?>